body {
  font-family: Arial, sans-serif;
  color: white;
}

.blackText {
  color: black
}

#background {
  background-image: url(/../images/background2.png);
  background-size: 100%;
}

.btn-group .btn {
  cursor: pointer;
}

.exerciseStatus {
  text-align: center;
}

.centerButton {
  padding: 10px;
  width: 250px;
  text-align: center;
  margin: 20px auto;
  display: block;
}

.centerButton:hover {
  cursor: pointer;
}

.centerText {
  display: block;
  text-align: center;
}

.badge-danger-outline {
  border: 1px solid #dc3545;
}

.caret {
  display: inline-block;
  width: 0;
  height: 0;
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  position: relative;
  top: -1px;
}

.caret-down {
  border-top: 6px solid #868e96;
}

.caret-up {
  border-bottom: 6px solid #868e96;
}

p.correct, span.correct {
  color: #28a745;
}

p.incorrect, span.incorrect {
  color: #dc3545;
}

p.correct, span.correct, p.incorrect, span.incorrect {
  font-size: 20px;
  font-weight: bold;
}

hr {
  border-top: 3px solid white;
}

.App {
  margin-top: 60px;
  margin-left: 60px;
}

.CodeFragment {
  margin: 40px auto;
  padding: 40px 80px;
  width: 400px;
  position: relative;
}

.CodeFragment .code.disabled {
  opacity: 0.4;
}

.Token {
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  display: inline-block;
  padding: 2px 0px 2px 0px;
}

.Token:hover, .Token.highlighted {
  background-color: #e6e6e6;
  cursor: pointer;
}

.CurvedPath:hover {
  background-color: #e6e6e6;
  cursor: pointer;
}

.DeleteArrowButton:hover {
  cursor: pointer;
  -ms-user-select: none;
}

.Line.list-group-item {
  font-family: monospace;
  z-index: 100;
}

.Line.list-group-item-action {
  cursor: pointer;
}

.Token.highlighted {
  background-color: #999999;
}

.Expression .Token:hover, .Expression .Token.highlighted {
  background: none;
}

.Expression {
  position: relative;
}

.Expression.badge {
  padding: 2px;
  font-size: 13px;
}

.Expression .delete-btn {
  position: absolute;
  top: 0px;
  right: -10px;
  top: -8px;
  right: -6px;
}

.FlowContainer svg {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0px;
  left: 0px;
  z-index: 50;
}

.AdjacentLinesArrow {
  position: absolute;
  z-index: 150;
  cursor: pointer;
  width: 20px;
  height: 20px;
}

.AdjacentLinesArrow .arrowhead {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 8px 5px 0 6px;
  border-color: #3d3d3d transparent transparent transparent;
  position: absolute;
  bottom: 0px;
  left: 4px;
}

.AdjacentLinesArrow .line {
  height: 100%;
  width: 2px;
  background: #3d3d3d;
  position: absolute;
  left: 9px;
  bottom: 2px;
}

.AdjacentLinesArrow .annotation {
  padding-left: 20px;
  width: 200px;
}

.AdjacentLinesArrow.correct .annotation {
  color: #28a745;
}

.AdjacentLinesArrow.incorrect .annotation {
  color: #dc3545;
}

.AdjacentLinesArrow.missed .annotation {
  color:  #dc3545;
}

.AdjacentLinesArrow.correct .line {
  background: #28a745;
}

.AdjacentLinesArrow.correct .arrowhead {
  border-color: #28a745 transparent transparent transparent;
}

.AdjacentLinesArrow.incorrect .line {
  background: #dc3545;
}

.AdjacentLinesArrow.missed .line {
  background: repeating-linear-gradient(
    0deg,
    #dc3545,
    #dc3545 4px,
    #fff 4px,
    #fff 8px
  )
}

.AdjacentLinesArrow.incorrect .arrowhead, .AdjacentLinesArrow.missed .arrowhead {
  border-color: #dc3545 transparent transparent transparent;
}

.delete-btn {
  cursor: pointer;
}

.AdjacentLinesArrow .delete-btn {
  width: 10px;
  height: 10px;
  color: #fff;
  background: #dc3545;
  border-radius: 100%;
  line-height: 10px;
  font-size: 8px;
  text-align: center;
  position: absolute;
  top: -5px;
  left: 5px;
  z-index: 200;
}

.Annotation {
  position: absolute;
  z-index: 200;
  width: 120px;
}

.Indent {
  display: inline-block;
  width: 1px;
}

.TaskInstructions {
  background-color: #e6e6e6;
  padding-top: 10px;
  padding-bottom: 10px;
  opacity: 0.9;
  text-align: center;
}

.VariableTable, .InputTable {
  margin: 40px auto;
  position: relative;
}

.Login {
  margin-top: 160px;
}

.Signup {
  margin-top: 160px;
}

.Home {
  margin-top: 25vh;
  background-color: black;
}

.AdminExerciseList {
  margin-top: 10px;
  margin-bottom: 10px;
  background: black;
}

.AdminExerciseList .attempted-by {
  padding-top: 20px;
  padding-bottom: 20px;
}

.AdminExerciseList .attempted-by p {
  margin: 0;
}

.AdminExerciseList .create-exercise {
  margin-top: 80px;
}

.ExerciseList {
  margin-top: 10px;
  margin-bottom: 10px;
  background: black;
}

.OutputTable {
  margin-bottom: 40px;
}

.Task3Undo {
  padding-left: 250px;
}

.LogOutButton {
  margin: 10px auto;
  width: inherit;
}

.ListButtons {
  display: block;
}